- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpDisasterHandler Class Reference

Base class for Clp disaster handling. More...

`#include <ClpEventHandler.hpp>`

Inheritance diagram for ClpDisasterHandler:

[legend]
Collaboration diagram for ClpDisasterHandler:

[legend]
List of all members.

## Public Member Functions
Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()=0
| Into simplex.
virtual bool | check () const =0
| Checks if disaster.
virtual void | saveInfo ()=0
| saves information for next attempt
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort.
Constructors, destructor
| ClpDisasterHandler (ClpSimplex *model=NULL)
| Default constructor.
virtual | ~ClpDisasterHandler ()
| Destructor.
| ClpDisasterHandler (const ClpDisasterHandler &)
| Default constructor.
ClpDisasterHandler & | operator= (const ClpDisasterHandler &)
| Default constructor.
virtual ClpDisasterHandler * | clone () const =0
| Clone.
Sets/gets
void | setSimplex (ClpSimplex *model)
| set model.
ClpSimplex * | simplex () const
| Get model.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer to simplex.

## Detailed Description

Base class for Clp disaster handling.

This is here to allow for disaster handling. By disaster I mean that Clp would otherwise give up

Definition at line 106 of file ClpEventHandler.hpp.

## Constructor & Destructor Documentation

ClpDisasterHandler::ClpDisasterHandler | ( | ClpSimplex * | model = `NULL` | ) |

Default constructor.

virtual ClpDisasterHandler::~ClpDisasterHandler | ( |  | ) | `[virtual]`

Destructor.

ClpDisasterHandler::ClpDisasterHandler | ( | const ClpDisasterHandler & |  | ) |

Default constructor.

## Member Function Documentation

virtual void ClpDisasterHandler::intoSimplex | ( |  | ) | `[pure virtual]`

Into simplex.

Implemented in OsiClpDisasterHandler.

virtual bool ClpDisasterHandler::check | ( |  | ) | const`[pure virtual]`

Checks if disaster.

Implemented in OsiClpDisasterHandler.

virtual void ClpDisasterHandler::saveInfo | ( |  | ) | `[pure virtual]`

saves information for next attempt

Implemented in OsiClpDisasterHandler.

virtual int ClpDisasterHandler::typeOfDisaster | ( |  | ) | `[virtual]`

Type of disaster 0 can fix, 1 abort.

Reimplemented in OsiClpDisasterHandler.

ClpDisasterHandler& ClpDisasterHandler::operator= | ( | const ClpDisasterHandler & |  | ) |

Default constructor.

virtual ClpDisasterHandler* ClpDisasterHandler::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implemented in OsiClpDisasterHandler.

void ClpDisasterHandler::setSimplex | ( | ClpSimplex * | model | ) |

set model.

ClpSimplex* ClpDisasterHandler::simplex | ( |  | ) | const`[inline]`

Get model.

Definition at line 145 of file ClpEventHandler.hpp.

References model_.

## Member Data Documentation

ClpSimplex* ClpDisasterHandler::model_`[protected]`

Pointer to simplex.

Definition at line 156 of file ClpEventHandler.hpp.

Referenced by simplex().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/Clp/src/ClpEventHandler.hpp